Package com.pixelmed.dicom

# Class ImageLibrary.ImageLibraryEntry

java.lang.Object
com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry

Direct Known Subclasses:
  `CrossSectionalImageLibrary.CrossSectionalImageLibraryEntry`, `ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry`

Enclosing class:
  ImageLibrary

public static class ImageLibrary.ImageLibraryEntry extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected HierarchicalImageReference`
`hierarchicalImageReference`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ImageLibraryEntry()`
``
`ImageLibraryEntry(AttributeList list)`
``
`ImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, Map<String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)`
``
`ImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`constructImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)`
`ContentItem`
`getImageContentItem(ContentItemFactory cif, ContentItem parent)`
Get a new ImageContentItem made from this ImageLibraryEntry to use in an SR tree.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### hierarchicalImageReference

protected HierarchicalImageReference hierarchicalImageReference

## Constructor Details

### ImageLibraryEntry

protected ImageLibraryEntry()

### ImageLibraryEntry

public ImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, Map<String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)

### ImageLibraryEntry

public ImageLibraryEntry(AttributeList list)

### ImageLibraryEntry

public ImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)

## Method Details

### constructImageLibraryEntry

protected void constructImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference)

### getImageContentItem

public ContentItem getImageContentItem(ContentItemFactory cif, ContentItem parent) throws DicomException

Get a new ImageContentItem made from this ImageLibraryEntry to use in an SR tree.

Has side effect of adding the fragment to the parent if the parent is not null.

Parameters:
  `cif` - the ContentItemFactory to use
  `parent` - the parent content item (usually the Image Library CONTAINER content item)
Returns:
  the new ImageContentItem
Throws:
  `DicomException` - if error in DICOM encoding

### toString

public String toString()

Overrides:
  `toString` in class `Object`